<!--<template>
    
    <div id="app">
  <form class="form"> 
    <div class="div">
      <label class="label" for="name">Subject:</label><br>
      <input class="input-value" id="name" type="text" v-model="name" required/>
    </div>
    <div>
      <label class="label" for="email">Contact:</label><br>
      <input class="input" id="contact" type="text" v-model="email" required/>
    </div>
    <div>
      <label  class="label" for="caps">Please enter your
        query:</label><br>
      <textarea class="textarea" id="caps" v-model="caps" required></textarea>
    </div>
    <button :class="[name ? activeClass : '']" type="submit">Submit</button>
    <div>
     
      <pre>{{ response }}</pre>
    </div>
  </form>
</div>

    
</template>
-->
<template>
    <div class="container">  
  <span  class="bubble">
   I am sorry to hear about this. 
</span> 
<span  class="bubble">
    Kindly fill in the issue details .
</span> 
     
      <div class="card">
      <div class="card-body">
              <form @submit="formSubmit">
              <label class="heading">Email:</label>
              <input type="text" class="form-control" v-model="name" placeholder="Enter your email"><br>
              <label class="heading">Description:</label>
              <textarea class="form-control" placeholder="Please enter..." rows="5" v-model="description" ></textarea>
              <button type="submit" class="btn">Submit</button>
              </form>            
          </div>
                
        </div>
      </div>
   
</template>
<style lang="sass"  scoped>
span
  padding: 12px
  border: 1px solid #e5e5e5
  border-radius: 40px
  color:#202124
  display: inline-block
  position: relative
  background-color: #ffff
  min-width: 26px  
  margin-bottom: 10px
  margin-left: -3px
  margin-top: -1px


.login-page 
  width: 360px
  padding: 8% 0 0
  margin: auto


.card-body
  input 
    outline: 0
    background: #f2f2f2
    width: 100%
    border: 0
    margin: 0 0 1px
    padding: 5px
    box-sizing: border-box
    font-size: 14px
  textarea
    background: #f2f2f2
    width: 100%
    border: 0
    margin: 0 0 15px 0
    resize: none
.card-body
  button 
    text-transform: uppercase
    
    outline: 0
    background: #e86a00
    width: 100%
    border: 0
    padding: 2px
    color: #FFFFFF
    font-size: 15px
    -webkit-transition: all 0.3 ease
    transition: all 0.3 ease
    cursor: pointer
.card-body
  .message 
    margin: 15px 0 0
    color: #b3b3b3
    font-size: 12px
.card-body
  .message
    a 
      color: #4CAF50;
      text-decoration: none
.card-body
  .register-form 
    display: none
.container 
  position: relative
  z-index: 1
  max-width: 300px
  margin: 0 auto
.container
  .info 
    margin: 50px auto
    text-align: center
.container
  .info
    h1 
    margin: 0 0 15px
    padding: 0
    font-size: 45px
    font-weight: 300
    color: #1a1a1a
.container
  .info
    span
      color: #4d4d4d
      font-size: 12px
      a
        color: #000000
        text-decoration: none
       
        
</style>
<!--<style lang="sass" scoped>
.input-value
    background-color: white
.card-header
  color: red
.btn
  color: red
.card-body
  position: relative
  z-index: 1
  background: #FFFFFF
  max-width: 360px
  margin: 0 auto 100px
  padding: 45px
  text-align: center
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24)
.heading
  display:block
  color:red
  
       
</style>-->

<script>
import * as customConfig from "../../../customConfig.json"
export default {
        mounted() {
            console.log('Component mounted.')
        },
        data() {
            return {
              name: '',
              description: '',
              output: ''
            };
        },
        methods: {
            formSubmit(e) {
                e.preventDefault();
                console.log("submit action")
                let currentObj = this;
                this.axios.post(customConfig.ticketRaiserUrl, { //192.168.71.74:5000
                    email: this.name,
                    titlename: this.description
                })
                .then(function (response) {
                  console.log(response)

                      window.addToMessages("A ticket has been created for this issue with ID " + response.data)
                       window.addToMessages("Be assured that your issue will be addressed within 24 hours.")
                }
                 
                )
                .catch(function (error) {
                console.log(error)

                    currentObj.output = error;
                });
            }
        }
    }
</script>